%načtení fluorescence zeleného kanálu
obr_zel=imread('HO-24h22_ch00.tif'); 

%načtení fluorescence červeného kanálu
obr_cer=imread('HO-24h22_ch01.tif'); 

%načtení optického kanálu (např pro obrázek 6.1)
%obr_cl=imread('sken1-24HO_kho24-3_ch02.tif'); 

%zobrazení optického kanálu
%obr=obr_cl;

%indexace fluorescence
o=obr_cer(:,:,1); %matice hodnot červené barvy (zbylé jsou prázdné)
p=obr_zel(:,:,1); %matice hodnot zelené

%součet hodnot ve fluorescenčním kanálu
total_cer=sum(sum(o)) %červená
total_zel=sum(sum(p)) %zelená

%zobrazení zelené fluorescence pro určení počtu buněk
imshow(obr_zel);
%figure
%imshow(obr_cl)
 
%sloučení fluorescenčních kanálů
%   obr_m=zeros(size(obr_zel));
%   obr_zel1=mat2gray(obr_zel);
%   obr_cer1=mat2gray(obr_cer);
%   rgbobr=cat(3,obr_cer1,obr_zel1,obr_m);
%   figure
%  imshow(rgbobr)

